Package com.collabnet.ce.soap60.webservices.docman

# Class Document3SoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.docman.Document3SoapRow

public class Document3SoapRow extends Object
DocumentList class represents the list of documents.
Change History
Release: 17.1

- Added flexFields.
- Changed the 'status' field of the document version to be configurable.

Release: 4.2

- Field 'fileSize' type changed from 'Long' to 'long'.

Release: 4.4

- Added 'fileUrl'

Release: 8.1

- Added downloadRestricted flag
- Added allowForceUnlock flag

Since:
  17.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Document3SoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getAllowForceUnlock()`
  Returns 'allowForceUnlock'.
  `String`
  `getCreatedBy()`
  Returns 'createdBy'.
  `int`
  `getCurrentVersion()`
  Returns 'currentVersion'.
  `Date`
  `getDateCreated()`
  Returns 'dateCreated'.
  `Date`
  `getDateLastModified()`
  Returns 'dateLastModified'.
  `Date`
  `getDateVersionCreated()`
  Returns 'dateVersionCreated'.
  `String`
  `getDescription()`
  Returns 'description'.
  `boolean`
  `getDownloadRestricted()`
  Returns 'downloadRestricted'.
  `String`
  `getFileName()`
  Returns 'fileName'.
  `long`
  `getFileSize()`
  Returns 'fileSize'.
  `String`
  `getFileUrl()`
  Returns 'fileUrl'.
  `SoapFieldValues`
  `getFlexFields()`
  Returns 'flexFields'.
  `String`
  `getFolderId()`
  Returns 'folderId'.
  `String`
  `getFolderPathString()`
  Returns 'folderPathString'.
  `String`
  `getFolderTitle()`
  Returns 'folderTitle'.
  `String`
  `getId()`
  Returns 'id'.
  `String`
  `getLastModifiedBy()`
  Returns 'lastModifiedBy'.
  `String`
  `getLastModifiedByFullName()`
  Returns 'lastModifiedByFullName'.
  `String`
  `getLockedBy()`
  Returns 'lockedBy'.
  `String`
  `getMimeType()`
  Returns 'mimeType'.
  `String`
  `getProjectId()`
  Returns 'projectId'.
  `String`
  `getProjectPathString()`
  Returns 'projectPathString'.
  `String`
  `getProjectTitle()`
  Returns 'projectTitle'.
  `String`
  `getTitle()`
  Returns 'title'.
  `String`
  `getVersionComment()`
  Returns 'versionComment'.
  `String`
  `getVersionCreatedBy()`
  Returns 'versionCreatedBy'.
  `String`
  `getVersionCreatedByFullname()`
  Returns 'versionCreatedByFullname'.
  `String`
  `getVersionId()`
  Returns 'versionId'.
  `int`
  `getVersionNumber()`
  Returns 'versionNumber'.
  `String`
  `getVersionStatus()`
  Returns 'versionStatus'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setAllowForceUnlock(boolean allowForceUnlock)`
  Sets 'allowForceUnlock'.
  `void`
  `setCreatedBy(String createdBy)`
  Sets 'createdBy'.
  `void`
  `setCurrentVersion(int currentVersion)`
  Sets 'currentVersion'.
  `void`
  `setDateCreated(Date dateCreated)`
  Sets 'dateCreated'.
  `void`
  `setDateLastModified(Date dateLastModified)`
  Sets 'dateLastModified'.
  `void`
  `setDateVersionCreated(Date dateVersionCreated)`
  Sets 'dateVersionCreated'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setDownloadRestricted(boolean downloadRestricted)`
  Sets 'downloadRestricted'.
  `void`
  `setFileName(String fileName)`
  Sets 'fileName'.
  `void`
  `setFileSize(long fileSize)`
  Sets 'fileSize'.
  `void`
  `setFileUrl(String fileUrl)`
  Sets 'fileUrl'.
  `void`
  `setFlexFields(SoapFieldValues flexFields)`
  Sets 'flexFields'.
  `void`
  `setFolderId(String folderId)`
  Sets 'folderId'.
  `void`
  `setFolderPathString(String folderPathString)`
  Sets 'folderPathString'.
  `void`
  `setFolderTitle(String folderTitle)`
  Sets 'folderTitle'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setLastModifiedBy(String lastModifiedBy)`
  Sets 'lastModifiedBy'.
  `void`
  `setLastModifiedByFullName(String lastModifiedByFullName)`
  Sets 'lastModifiedByFullName'.
  `void`
  `setLockedBy(String lockedBy)`
  Sets 'lockedBy'.
  `void`
  `setMimeType(String mimeType)`
  Sets 'mimeType'.
  `void`
  `setProjectId(String projectId)`
  Sets 'projectId'.
  `void`
  `setProjectPathString(String projectPathString)`
  Sets 'projectPathString'.
  `void`
  `setProjectTitle(String projectTitle)`
  Sets 'projectTitle'.
  `void`
  `setTitle(String title)`
  Sets 'title'.
  `void`
  `setVersionComment(String versionComment)`
  Sets 'versionComment'.
  `void`
  `setVersionCreatedBy(String versionCreatedBy)`
  Sets 'versionCreatedBy'.
  `void`
  `setVersionCreatedByFullname(String versionCreatedByFullname)`
  Sets 'versionCreatedByFullname'.
  `void`
  `setVersionId(String versionId)`
  Sets 'versionId'.
  `void`
  `setVersionNumber(int versionNumber)`
  Sets 'versionNumber'.
  `void`
  `setVersionStatus(String versionStatus)`
  Sets 'versionStatus'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Document3SoapRow

    public Document3SoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'.
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'.
    Parameters:
      `id` - Value of 'id'.

  - ### getVersionId

    public String getVersionId()
    Returns 'versionId'. The id of the specified version of the document
    Returns:
      Value of 'versionId'.

  - ### setVersionId

    public void setVersionId(String versionId)
    Sets 'versionId'. The id of the specified version of the document
    Parameters:
      `versionId` - Value of 'versionId'.

  - ### getVersionNumber

    public int getVersionNumber()
    Returns 'versionNumber'. The version number of the document
    Returns:
      Value of 'versionNumber'.

  - ### setVersionNumber

    public void setVersionNumber(int versionNumber)
    Sets 'versionNumber'. The version number of the document
    Parameters:
      `versionNumber` - Value of 'versionNumber'.

  - ### getProjectPathString

    public String getProjectPathString()
    Returns 'projectPathString'. The path of the project containing the document
    Returns:
      Value of 'projectPathString'.

  - ### setProjectPathString

    public void setProjectPathString(String projectPathString)
    Sets 'projectPathString'. The path of the project containing the document
    Parameters:
      `projectPathString` - Value of 'projectPathString'.

  - ### getProjectTitle

    public String getProjectTitle()
    Returns 'projectTitle'. The title of the project containing the document
    Returns:
      Value of 'projectTitle'.

  - ### setProjectTitle

    public void setProjectTitle(String projectTitle)
    Sets 'projectTitle'. The title of the project containing the document
    Parameters:
      `projectTitle` - Value of 'projectTitle'.

  - ### getProjectId

    public String getProjectId()
    Returns 'projectId'. The id of the project containing the document
    Returns:
      Value of 'projectId'.

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets 'projectId'. The id of the project containing the document
    Parameters:
      `projectId` - Value of 'projectId'.

  - ### getFolderTitle

    public String getFolderTitle()
    Returns 'folderTitle'. The title of the document folder containing the document
    Returns:
      Value of 'folderTitle'.

  - ### setFolderTitle

    public void setFolderTitle(String folderTitle)
    Sets 'folderTitle'. The title of the document folder containing the document
    Parameters:
      `folderTitle` - Value of 'folderTitle'.

  - ### getFolderId

    public String getFolderId()
    Returns 'folderId'. The id of the document folder containing the document
    Returns:
      Value of 'folderId'.

  - ### setFolderId

    public void setFolderId(String folderId)
    Sets 'folderId'. The id of the document folder containing the document
    Parameters:
      `folderId` - Value of 'folderId'.

  - ### getFolderPathString

    public String getFolderPathString()
    Returns 'folderPathString'. The path of the document folder containing the document
    Returns:
      Value of 'folderPathString'.

  - ### setFolderPathString

    public void setFolderPathString(String folderPathString)
    Sets 'folderPathString'. The path of the document folder containing the document
    Parameters:
      `folderPathString` - Value of 'folderPathString'.

  - ### getTitle

    public String getTitle()
    Returns 'title'. The title of the document
    Returns:
      Value of 'title'.

  - ### setTitle

    public void setTitle(String title)
    Sets 'title'. The title of the document
    Parameters:
      `title` - Value of 'title'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. The description of the document
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. The description of the document
    Parameters:
      `description` - Value of 'description'.

  - ### getCreatedBy

    public String getCreatedBy()
    Returns 'createdBy'. The username of the user who created the document
    Returns:
      Value of 'createdBy'.

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets 'createdBy'. The username of the user who created the document
    Parameters:
      `createdBy` - Value of 'createdBy'.

  - ### getDateCreated

    public Date getDateCreated()
    Returns 'dateCreated'. The date the document was created
    Returns:
      Value of 'dateCreated'.

  - ### setDateCreated

    public void setDateCreated(Date dateCreated)
    Sets 'dateCreated'. The date the document was created
    Parameters:
      `dateCreated` - Value of 'dateCreated'.

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Returns 'lastModifiedBy'. The username of the user who last modified the document details
    Returns:
      Value of 'lastModifiedBy'.

  - ### setLastModifiedBy

    public void setLastModifiedBy(String lastModifiedBy)
    Sets 'lastModifiedBy'. The username of the user who last modified the document details
    Parameters:
      `lastModifiedBy` - Value of 'lastModifiedBy'.

  - ### getLastModifiedByFullName

    public String getLastModifiedByFullName()
    Returns 'lastModifiedByFullName'. The full name of the user who last modified the document details
    Returns:
      Value of 'lastModifiedByFullName'.

  - ### setLastModifiedByFullName

    public void setLastModifiedByFullName(String lastModifiedByFullName)
    Sets 'lastModifiedByFullName'. The full name of the user who last modified the document details
    Parameters:
      `lastModifiedByFullName` - Value of 'lastModifiedByFullName'.

  - ### getDateLastModified

    public Date getDateLastModified()
    Returns 'dateLastModified'. The date the document details were last modified
    Returns:
      Value of 'dateLastModified'.

  - ### setDateLastModified

    public void setDateLastModified(Date dateLastModified)
    Sets 'dateLastModified'. The date the document details were last modified
    Parameters:
      `dateLastModified` - Value of 'dateLastModified'.

  - ### getCurrentVersion

    public int getCurrentVersion()
    Returns 'currentVersion'. The number of the current version of the document
    Returns:
      Value of 'currentVersion'.

  - ### setCurrentVersion

    public void setCurrentVersion(int currentVersion)
    Sets 'currentVersion'. The number of the current version of the document
    Parameters:
      `currentVersion` - Value of 'currentVersion'.

  - ### getDateVersionCreated

    public Date getDateVersionCreated()
    Returns 'dateVersionCreated'. The date the specified version was created
    Returns:
      Value of 'dateVersionCreated'.

  - ### setDateVersionCreated

    public void setDateVersionCreated(Date dateVersionCreated)
    Sets 'dateVersionCreated'. The date the specified version was created
    Parameters:
      `dateVersionCreated` - Value of 'dateVersionCreated'.

  - ### getVersionCreatedBy

    public String getVersionCreatedBy()
    Returns 'versionCreatedBy'. The user name of the user who created this version of the file
    Returns:
      Value of 'versionCreatedBy'.

  - ### setVersionCreatedBy

    public void setVersionCreatedBy(String versionCreatedBy)
    Sets 'versionCreatedBy'. The user name of the user who created this version of the file
    Parameters:
      `versionCreatedBy` - Value of 'versionCreatedBy'.

  - ### getVersionStatus

    public String getVersionStatus()
    Returns 'versionStatus'. The status of this version of the document. Can be one of the custom (user specified) value, as defined in the project's document settings.
    Returns:
      Value of 'versionStatus'.

  - ### setVersionStatus

    public void setVersionStatus(String versionStatus)
    Sets 'versionStatus'. The status of this version of the document. Can be one of the custom (user specified) value, as defined in the project's document settings.
    Parameters:
      `versionStatus` - Value of 'versionStatus'.

  - ### getVersionComment

    public String getVersionComment()
    Returns 'versionComment'. The comment provided by the user when creating this version of the file
    Returns:
      Value of 'versionComment'.

  - ### setVersionComment

    public void setVersionComment(String versionComment)
    Sets 'versionComment'. The comment provided by the user when creating this version of the file
    Parameters:
      `versionComment` - Value of 'versionComment'.

  - ### getVersionCreatedByFullname

    public String getVersionCreatedByFullname()
    Returns 'versionCreatedByFullname'. The full name of the user who created the file
    Returns:
      Value of 'versionCreatedByFullname'.

  - ### setVersionCreatedByFullname

    public void setVersionCreatedByFullname(String versionCreatedByFullname)
    Sets 'versionCreatedByFullname'. The full name of the user who created the file
    Parameters:
      `versionCreatedByFullname` - Value of 'versionCreatedByFullname'.

  - ### getMimeType

    public String getMimeType()
    Returns 'mimeType'. The mime type of the file
    Returns:
      Value of 'mimeType'.

  - ### setMimeType

    public void setMimeType(String mimeType)
    Sets 'mimeType'. The mime type of the file
    Parameters:
      `mimeType` - Value of 'mimeType'.

  - ### getFileName

    public String getFileName()
    Returns 'fileName'. The name of the file used for downloading
    Returns:
      Value of 'fileName'.

  - ### setFileName

    public void setFileName(String fileName)
    Sets 'fileName'. The name of the file used for downloading
    Parameters:
      `fileName` - Value of 'fileName'.

  - ### getFileSize

    public long getFileSize()
    Returns 'fileSize'. The size of the file, in bytes
    Returns:
      Value of 'fileSize'.

  - ### setFileSize

    public void setFileSize(long fileSize)
    Sets 'fileSize'. The size of the file, in bytes
    Parameters:
      `fileSize` - Value of 'fileSize'.

  - ### getFileUrl

    public String getFileUrl()
    Returns 'fileUrl'. The url of the file stored
    Returns:
      Value of 'fileUrl'.

  - ### setFileUrl

    public void setFileUrl(String fileUrl)
    Sets 'fileUrl'. The url of the file stored
    Parameters:
      `fileUrl` - Value of 'fileUrl'.

  - ### getLockedBy

    public String getLockedBy()
    Returns 'lockedBy'. Id of the user with a lock on this document, if any. Null if document is not locked.
    Returns:
      Value of 'lockedBy'.

  - ### setLockedBy

    public void setLockedBy(String lockedBy)
    Sets 'lockedBy'. Id of the user with a lock on this document, if any. Null if document is not locked.
    Parameters:
      `lockedBy` - Value of 'lockedBy'.

  - ### getDownloadRestricted

    public boolean getDownloadRestricted()
    Returns 'downloadRestricted'. Flag that indicates if the document is locked to prevent other users from downloading it.
    Returns:
      Value of 'downloadRestricted'.

  - ### setDownloadRestricted

    public void setDownloadRestricted(boolean downloadRestricted)
    Sets 'downloadRestricted'. Flag that indicates if the document is locked to prevent other users from downloading it.
    Parameters:
      `downloadRestricted` - Value of 'downloadRestricted'.

  - ### getAllowForceUnlock

    public boolean getAllowForceUnlock()
    Returns 'allowForceUnlock'. Flag that indicates if the document can be forcibly unlocked for editing and downloading.
    Returns:
      Value of 'allowForceUnlock'.

  - ### setAllowForceUnlock

    public void setAllowForceUnlock(boolean allowForceUnlock)
    Sets 'allowForceUnlock'. Flag that indicates if the document can be forcibly unlocked for editing and downloading.
    Parameters:
      `allowForceUnlock` - Value of 'allowForceUnlock'.

  - ### getFlexFields

    public SoapFieldValues getFlexFields()
    Returns 'flexFields'. The flex field names and values of the document folder that contains the document
    Returns:
      Value of 'flexFields'.

  - ### setFlexFields

    public void setFlexFields(SoapFieldValues flexFields)
    Sets 'flexFields'. The flex field names and values of the document folder that contains the document
    Parameters:
      `flexFields` - Value of 'flexFields'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)